# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetInfoValue

Packages that use TGetInfoValue
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetInfoValue in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TGetInfoValue in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`class`
`TGetInfoValue`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetInfoValue
Modifier and Type
Field
Description
`TGetInfoValue`
TGetInfoResp.`infoValue`
Fields in com.databricks.jdbc.model.client.thrift.generated with type parameters of type TGetInfoValue
Modifier and Type
Field
Description
`List<TGetInfoValue>`
TOpenSessionResp.`getInfos`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetInfoValue
Modifier and Type
Method
Description
`static TGetInfoValue`
TGetInfoValue.`binaryValue(int value)`
`TGetInfoValue`
TGetInfoValue.`deepCopy()`
`TGetInfoValue`
TGetInfoResp.`getInfoValue()`
`static TGetInfoValue`
TGetInfoValue.`integerBitmask(int value)`
`static TGetInfoValue`
TGetInfoValue.`integerFlag(int value)`
`static TGetInfoValue`
TGetInfoValue.`lenValue(long value)`
`static TGetInfoValue`
TGetInfoValue.`smallIntValue(short value)`
`static TGetInfoValue`
TGetInfoValue.`stringValue(String value)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TGetInfoValue
Modifier and Type
Method
Description
`List<TGetInfoValue>`
TOpenSessionResp.`getGetInfos()`
`Iterator<TGetInfoValue>`
TOpenSessionResp.`getGetInfosIterator()`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetInfoValue
Modifier and Type
Method
Description
`void`
TOpenSessionResp.`addToGetInfos(TGetInfoValue elem)`
`int`
TGetInfoValue.`compareTo(TGetInfoValue other)`
`boolean`
TGetInfoValue.`equals(TGetInfoValue other)`
`TGetInfoResp`
TGetInfoResp.`setInfoValue(TGetInfoValue infoValue)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetInfoValue
Modifier and Type
Method
Description
`TOpenSessionResp`
TOpenSessionResp.`setGetInfos(List<TGetInfoValue> getInfos)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetInfoValue
Modifier
Constructor
Description
``
`TGetInfoResp(TStatus status, TGetInfoValue infoValue)`
``
`TGetInfoValue(TGetInfoValue other)`